'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var errors = require('./errors/errors.cjs');

const ACCOUNT_HEADER_SIZE = 128;
function deserializeAccount(rawAccount, dataSerializer) {
  const {
    data,
    address,
    ...rest
  } = rawAccount;
  const [parsedData] = dataSerializer.deserialize(data);
  return {
    address,
    header: rest,
    ...parsedData
  };
}
function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new errors.AccountNotFoundError(account.address, name, solution);
  }
}

exports.ACCOUNT_HEADER_SIZE = ACCOUNT_HEADER_SIZE;
exports.assertAccountExists = assertAccountExists;
exports.deserializeAccount = deserializeAccount;
//# sourceMappingURL=Account.cjs.map
