'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const some = value => ({
  __option: 'Some',
  value
});
const none = () => ({
  __option: 'None'
});
const isSome = option => option.__option === 'Some';
const isNone = option => option.__option === 'None';
const unwrapSome = option => isSome(option) ? option.value : null;
const unwrapSomeOrElse = (option, fallback) => isSome(option) ? option.value : fallback();

exports.isNone = isNone;
exports.isSome = isSome;
exports.none = none;
exports.some = some;
exports.unwrapSome = unwrapSome;
exports.unwrapSomeOrElse = unwrapSomeOrElse;
//# sourceMappingURL=Option.cjs.map
