import { AccountNotFoundError } from './errors/errors.mjs';

const ACCOUNT_HEADER_SIZE = 128;
function deserializeAccount(rawAccount, dataSerializer) {
  const {
    data,
    address,
    ...rest
  } = rawAccount;
  const [parsedData] = dataSerializer.deserialize(data);
  return {
    address,
    header: rest,
    ...parsedData
  };
}
function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new AccountNotFoundError(account.address, name, solution);
  }
}

export { ACCOUNT_HEADER_SIZE, assertAccountExists, deserializeAccount };
//# sourceMappingURL=Account.mjs.map
