export type GenericFile = {
    readonly buffer: Uint8Array;
    readonly fileName: string;
    readonly displayName: string;
    readonly uniqueName: string;
    readonly contentType: string | null;
    readonly extension: string | null;
    readonly tags: GenericFileTag[];
};
export type GenericFileTag = {
    name: string;
    value: string;
};
export type BrowserFile = File;
export type GenericFileOptions = {
    displayName?: string;
    uniqueName?: string;
    contentType?: string;
    extension?: string;
    tags?: {
        name: string;
        value: string;
    }[];
};
export declare const createGenericFile: (content: string | Uint8Array, fileName: string, options?: GenericFileOptions) => GenericFile;
export declare const createGenericFileFromBrowserFile: (browserFile: BrowserFile, options?: GenericFileOptions) => Promise<GenericFile>;
export declare const createGenericFileFromJson: <T extends object = object>(json: T, fileName?: string, options?: GenericFileOptions) => GenericFile;
export declare const createBrowserFileFromGenericFile: (file: GenericFile) => BrowserFile;
export declare const getBytesFromGenericFiles: (...files: GenericFile[]) => number;
export declare const isGenericFile: (file: any) => file is GenericFile;
