export type Nullable<T> = T | null;
export type Option<T> = Some<T> | None;
export type Some<T> = {
    __option: 'Some';
    value: T;
};
export type None = {
    __option: 'None';
};
export declare const some: <T>(value: T) => Option<T>;
export declare const none: <T>() => Option<T>;
export declare const isSome: <T>(option: Option<T>) => option is Some<T>;
export declare const isNone: <T>(option: Option<T>) => option is None;
export declare const unwrapSome: <T>(option: Option<T>) => Nullable<T>;
export declare const unwrapSomeOrElse: <T, U>(option: Option<T>, fallback: () => U) => T | U;
