import type { Signer } from './Signer';
export declare const PUBLIC_KEY_LENGTH = 32;
export type PublicKeyBase58 = string;
export type PublicKeyBytes = Uint8Array;
export type PublicKeyInput = PublicKeyBase58 | PublicKeyBytes | PublicKey | {
    publicKey: PublicKey;
};
export type PublicKey = {
    readonly bytes: PublicKeyBytes;
};
export type Pda = PublicKey & {
    readonly bump: number;
};
export declare const publicKey: (input: PublicKeyInput) => PublicKey;
export declare const defaultPublicKey: () => PublicKey;
export declare const isPublicKey: (value: any) => value is PublicKey;
export declare const isPda: (value: any) => value is Pda;
export declare function assertPublicKey(value: any): asserts value is PublicKey;
export declare const samePublicKey: (left: PublicKey, right: PublicKey) => boolean;
export declare const formatPublicKey: (publicKey: PublicKey) => string;
export declare const checkForIsWritableOverride: (account: (PublicKey | Signer) & {
    isWritable?: boolean;
}, value: boolean) => boolean;
