import { SdkError } from '../errors/SdkError';
import type { Serializer } from '../Serializer';
export declare const utf8: Serializer<string>;
export declare const baseX: (alphabet: string) => Serializer<string>;
export declare const base10: Serializer<string>;
export declare const base58: Serializer<string>;
export declare const base16: Serializer<string>;
export declare const mergeBytes: (bytesArr: Uint8Array[]) => Uint8Array;
/** @group Errors */
export declare class InvalidBaseStringError extends SdkError {
    readonly name: string;
    constructor(value: string, base: number);
}
